{{- if .Values.backend.db_fix_queue_items.enabled -}}
apiVersion: batch/v1
kind: CronJob
metadata:
  name: {{ include "fullname" (list . .Values.backend.db_fix_queue_items.name) }}
  labels:
    {{- include "common.labels" (list . .Values.backend.db_fix_queue_items.name) | nindent 4 }}
spec:
  schedule: {{ .Values.backend.db_fix_queue_items.schedule | quote}}
  concurrencyPolicy: Forbid
  jobTemplate:
    spec:
      ttlSecondsAfterFinished: 86400
      template:
        metadata:
          {{- with .Values.global.podAnnotations }}
          annotations:
            {{- toYaml . | nindent 16 }}
          {{- end }}
          labels:
            {{- include "selectorLabels" (list . .Values.backend.db_fix_queue_items.name) | nindent 12 }}
        spec:
          serviceAccountName: {{ include "serviceAccountName" (list . .Values.backend.db_fix_queue_items.name) }}
          imagePullSecrets:
            - name: "gitlab-pull-token"
          containers:
          - name: {{ .Values.backend.db_fix_queue_items.name }}
            image: "{{ .Values.backend.db_fix_queue_items.image.repository }}:{{ .Values.backend.db_fix_queue_items.image.tag | default .Chart.AppVersion }}"
            imagePullPolicy: {{ .Values.global.image.pullPolicy }}
            securityContext:
                {{- include "zaaksysteem.default_security_context" . | nindent 14 }}
            command:
            - python3
            - main.py
            env:
            - name: DB_HOST
              value: "{{ .Values.zaaksysteem_provisioner.database.host }}"
            - name: DB_PORT
              value: "{{ .Values.zaaksysteem_provisioner.database.port | default 5432}}"
            - name: DB_USER
              value: "{{ .Values.zaaksysteem_provisioner.database.username }}"
            - name: DB_PASS
              value: "{{ .Values.zaaksysteem_provisioner.database.password }}"
            - name: DB_FUNCTIONS
              value: "{{ .Values.backend.db_fix_queue_items.cleanupFunctions }}"
            resources:
              {{- toYaml .Values.backend.db_fix_queue_items.resources | nindent 14 }}
          restartPolicy: OnFailure
          terminationGracePeriodSeconds: {{ .Values.backend.db_fix_queue_items.terminationGracePeriodSeconds }}
{{- end }}